Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Standard Widget Toolkit (SWT) » OpenGL versions supported by natives libraries ?
OpenGL versions supported by natives libraries ? [message #640133] Fri, 19 November 2010 09:34 Go to next message
Djak Mising name is currently offline Djak Mising nameFriend
Messages: 16
Registered: November 2010
Junior Member
Hi,
I wonder what are the OpenGL versions supported by natives libraries of SWT. For example, is ES supported ?
Anyone got informations on this ?
I don't find any doc on this subject.
Thanks in advance Smile
Re: OpenGL versions supported by natives libraries ? [message #640340 is a reply to message #640133] Sat, 20 November 2010 22:22 Go to previous messageGo to next message
Julien Gouesse is currently offline Julien GouesseFriend
Messages: 3
Registered: November 2010
Junior Member
Hi!

Djak wrote on Fri, 19 November 2010 04:34

I wonder what are the OpenGL versions supported by natives libraries of SWT. For example, is ES supported ?


The OpenGL SWT canvas is no more maintained since 2006. Rather use JOGL 2.0 beta:
http://jogamp.org/

JOGL 2.0 beta supports OpenGL 4 and OpenGL ES 2 Very Happy

You can find some tutorials for JOGL & Eclipse there :
http://jogamp.org/wiki/index.php/Jogl_Tutorial
http://www.geofx.com/html/OpenGL_Eclipse/OpenGL_Eclipse.html

Good luck and long life to JOGL Very Happy
Re: OpenGL versions supported by natives libraries ? [message #640347 is a reply to message #640133] Sun, 21 November 2010 01:20 Go to previous message
Djak Mising name is currently offline Djak Mising nameFriend
Messages: 16
Registered: November 2010
Junior Member
Don't you know pub doesn't work on Internet ^^
Previous Topic:Put an embeddable frame (contained by a ViewPart) into full screen mode
Next Topic:Drop swt widget on RCP MultipageEditor page
Goto Forum:
  


Current Time: Wed Jan 27 11:47:08 GMT 2021

Powered by FUDForum. Page generated in 0.01927 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top